- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# IO_Emitter.cpp File Reference

`#include <osgParticle/Emitter>`
`#include <iostream>`
`#include <osgDB/Registry>`
`#include <osgDB/Input>`
`#include <osgDB/Output>`

Include dependency graph for IO_Emitter.cpp:

## Functions
bool | read_particle (osgDB::Input &fr, osgParticle::Particle &P)
void | write_particle (const osgParticle::Particle &P, osgDB::Output &fw)
bool | Emitter_readLocalData (osg::Object &obj, osgDB::Input &fr)
bool | Emitter_writeLocalData (const osg::Object &obj, osgDB::Output &fw)
## Variables
osgDB::RegisterDotOsgWrapperProxy | Emitter_Proxy (0,"Emitter","Object Node ParticleProcessor Emitter", Emitter_readLocalData, Emitter_writeLocalData)

## Function Documentation

bool Emitter_readLocalData | ( | osg::Object & | obj,
|  | osgDB::Input & | fr
| ) |

bool Emitter_writeLocalData | ( | const osg::Object & | obj,
|  | osgDB::Output & | fw
| ) |

bool read_particle | ( | osgDB::Input & | fr,
|  | osgParticle::Particle & | P
| ) |

void write_particle | ( | const osgParticle::Particle & | P,
|  | osgDB::Output & | fw
| ) |

## Variable Documentation

osgDB::RegisterDotOsgWrapperProxy Emitter_Proxy(0,"Emitter","Object Node ParticleProcessor Emitter", Emitter_readLocalData, Emitter_writeLocalData)